<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('research_innovation_images', function (Blueprint $table) {
            $table->id();
            $table->string('image')->nullable();
            $table->foreignId('project_id')->nullable()->constrained('projects');
            $table->foreignId('training_workshop_id')->nullable()->constrained('training_workshops');
            $table->foreignId('conference_id')->nullable()->constrained('conferences');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('research_innovation_images');
    }
};
