@extends('layouts.contentNavbarLayoutBackend')

@section('title', 'Dashboard')

@section('content')
    <div class="row">
        <div class="col-sm-6 col-lg-3 mb-4">
            <a href="{{ route('faculties') }}" class="card card-border-shadow-primary h-100">
                <div class="card-body">
                    <div class="d-flex align-items-center mb-2 pb-1">
                        <div class="avatar me-2">
                            <span class="avatar-initial rounded bg-label-primary"><i class="bx bx-building-house"></i></span>
                        </div>
                        <h4 class="ms-1 mb-0">{{ $facultyCount }}</h4>
                    </div>
                    <p class="mb-0">Faculty</p>
                </div>
            </a>
        </div>
        <div class="col-sm-6 col-lg-3 mb-4">
            <a href="{{ route('institutes') }}" class="card card-border-shadow-warning h-100">
                <div class="card-body">
                    <div class="d-flex align-items-center mb-2 pb-1">
                        <div class="avatar me-2">
                            <span class="avatar-initial rounded bg-label-warning"><i class='bx bxs-institution'></i></span>
                        </div>
                        <h4 class="ms-1 mb-0">{{ $instituteCount }}</h4>
                    </div>
                    <p class="mb-0">Institute</p>
                </div>
            </a>
        </div>
        <div class="col-sm-6 col-lg-3 mb-4">
            <a href="{{ route('about-us.partners') }}" class="card card-border-shadow-danger h-100">
                <div class="card-body">
                    <div class="d-flex align-items-center mb-2 pb-1">
                        <div class="avatar me-2">
                            <span class="avatar-initial rounded bg-label-danger"><i class='bx bxl-patreon'></i></span>
                        </div>
                        <h4 class="ms-1 mb-0">{{ $partnerCount }}</h4>
                    </div>
                    <p class="mb-1">Partner</p>
                </div>
            </a>
        </div>
        <div class="col-sm-6 col-lg-3 mb-4">
            <a href="{{ route('research-innovation.publication-books') }}" class="card card-border-shadow-info h-100">
                <div class="card-body">
                    <div class="d-flex align-items-center mb-2 pb-1">
                        <div class="avatar me-2">
                            <span class="avatar-initial rounded bg-label-info"><i class='bx bx-book'></i></span>
                        </div>
                        <h4 class="ms-1 mb-0">{{ $publicationBookCount }}</h4>
                    </div>
                    <p class="mb-1">Publication Book</p>
                </div>
            </a>
        </div>
        <div class="col-sm-6 col-lg-3 mb-4">
            <a href="{{ route('careers') }}" class="card card-border-shadow-success h-100">
                <div class="card-body">
                    <div class="d-flex align-items-center mb-2 pb-1">
                        <div class="avatar me-2">
                            <span class="avatar-initial rounded bg-label-success"><i class='bx bx-briefcase'></i></span>
                        </div>
                        <h4 class="ms-1 mb-0">{{ $careerCount }}</h4>
                    </div>
                    <p class="mb-1">Career</p>
                </div>
            </a>
        </div>
    </div>
@endsection
