@extends('layouts.contentNavbarLayoutBackend')

@section('title', 'Edit Mission & Vision')

@section('vendor-style')
    <link rel="stylesheet" href="{{ asset('backend-assets/vendor/libs/sweetalert2/sweetalert2.css') }}"/>
    <link rel="stylesheet" href="{{ asset('backend-assets/vendor/libs/@form-validation/form-validation.css') }}"/>
@endsection

@section('page-style')
    <style>
        .ck-editor__editable_inline {
            min-height: 300px;
        }
    </style>
@endsection

@section('vendor-script')
    <script src="{{ asset('backend-assets/vendor/libs/ckeditor5/ckeditor.min.js') }}"></script>
    <script src="{{ asset('backend-assets/vendor/libs/sweetalert2/sweetalert2.js') }}"></script>
    <script src="{{ asset('backend-assets/vendor/libs/@form-validation/popular.js') }}"></script>
    <script src="{{ asset('backend-assets/vendor/libs/@form-validation/bootstrap5.js') }}"></script>
    <script src="{{ asset('backend-assets/vendor/libs/@form-validation/auto-focus.js') }}"></script>
@endsection

@section('page-script')
    <script type="text/javascript">
        $(document).ready(function () {
            ClassicEditor
                .create( document.querySelector( '#mission' ),{
                    ckfinder: {
                        uploadUrl: '{{route('ckeditor.upload').'?_token='.csrf_token()}}',
                    }
                }).catch( error => {} );
            ClassicEditor
                .create( document.querySelector( '#vision' ),{
                    ckfinder: {
                        uploadUrl: '{{route('ckeditor.upload').'?_token='.csrf_token()}}',
                    }
                }).catch( error => {} );

            /*Swal.fire({
                title: 'You are about to update Mission & Vision.',
                text: "Click YES to continue or NO to abort.",
                icon: 'info',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Yes, update!',
                cancelButtonText: "No, cancel!",
                customClass: {
                    confirmButton: 'btn btn-primary me-1 waves-effect waves-light',
                    cancelButton: 'btn btn-outline-secondary waves-effect'
                },
                buttonsStyling: false,
                reverseButtons: true
            }).then(function(result) {
                if (result.value) {

                }
            });*/
        });
    </script>
@endsection

@section('content')
    <form id="missionVisionForm" action="{{ route('about-us.mission-visions.update', $missionVision->id) }}" method="POST" autocomplete="off">
        @csrf
        <div class="d-flex flex-wrap justify-content-between align-items-center mb-3">
            <div class="d-flex flex-column justify-content-center">
                <h4 class="mb-1 mt-3">Edit Mission & Vision</h4>
                <p class="text-muted">Enter the mission & vision data</p>
            </div>
            <div class="d-flex align-content-center flex-wrap gap-3">
                <a href="{{ route('about-us.mission-visions') }}" class="btn btn-label-secondary">Back</a>
                <button type="submit" class="btn btn-primary">Save</button>
            </div>
        </div>

        <div class="card">
            <div class="card-body">
                <div class="row g-3">
                    <div class="col-lg-12">
                        <label class="form-label" for="mission">Mission</label>
                        <textarea class="form-control" id="mission" name="mission" placeholder="Enter Mission" cols="30" rows="14">{!! $missionVision->mission !!}</textarea>
                    </div>
                    <div class="col-lg-12">
                        <label class="form-label" for="vision">Vision</label>
                        <textarea class="form-control" id="vision" name="vision" placeholder="Enter Vision" cols="30" rows="14">{!! $missionVision->vision !!}</textarea>
                    </div>
                </div>
            </div>
        </div>
    </form>
@endsection
