@extends('layouts.contentNavbarLayoutFrontend')

@section('title', 'Career Details')

@section('page-style')
    <style>
        /* Target CKEditor instance */
        .ck-editor__editable_inline {
            border: none !important;  /* Remove the border */
            box-shadow: none !important;  /* Remove any shadow */
        }

        .ck.ck-editor__top .ck-sticky-panel .ck-sticky-panel__content {
            border: none !important;
        }
    </style>
@endsection

@section('vendor-script')
    <script src="{{ asset('backend-assets/vendor/libs/ckeditor5/ckeditor.min.js') }}"></script>
@endsection

@section('page-script')
    <script type="text/javascript">
        ClassicEditor
            .create(document.querySelector('#description'), {
                toolbar: [], // Remove toolbar
                isReadOnly: true,  // Use 'isReadOnly' instead of 'readOnly'
                image: {
                    toolbar: []  // Remove image toolbar if needed
                }
            })
            .then(editor => {
                editor.enableReadOnlyMode('description');  // Explicitly enforce read-only mode
            })
            .catch(error => {
                console.error('Error initializing CKEditor:', error);
            });
    </script>
@endsection

@section('content')
    <div class="pattern-square"></div>
    <!--Back to page start-->
    <section class="py-5 py-lg-8">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <a href="{{ route('career') }}" class="text-reset icon-link icon-link-hover">
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrow-left" viewBox="0 0 16 16">
                            <path fill-rule="evenodd" d="M15 8a.5.5 0 0 0-.5-.5H2.707l3.147-3.146a.5.5 0 1 0-.708-.708l-4 4a.5.5 0 0 0 0 .708l4 4a.5.5 0 0 0 .708-.708L2.707 8.5H14.5A.5.5 0 0 0 15 8z" />
                        </svg>
                        back to careers
                    </a>
                </div>
            </div>
        </div>
    </section>
    <!--Back to page end-->

    <!--Career details start-->
    <section class="mb-xl-9">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <h1 class="mb-6">{{ $career->position }}</h1>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-7 col-md-12">
                    <figure>
                        <img src="{{ !empty($career->image)  ? asset('uploads/career/' . $career->image) : asset('backend-assets/img/no-image/no-image.png') }}" class="img-fluid rounded-3 shadow-sm" alt="events" />
                    </figure>
                </div>
                <div class="col-lg-4 offset-lg-1 col-md-12">
                    <div class="d-flex pt-4 pt-lg-0 pb-0">
                        <div class="icon-md icon-shape rounded-circle bg-body-tertiary bg-opacity-50 border mb-3 flex-shrink-0">
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-geo-alt-fill" viewBox="0 0 16 16">
                                <path d="M8 16s6-5.686 6-10A6 6 0 0 0 2 6c0 4.314 6 10 6 10zm0-7a3 3 0 1 1 0-6 3 3 0 0 1 0 6z" />
                            </svg>
                        </div>

                        <div class="ms-3">
                            <h5>Location</h5>
                            <p class="mb-0">{{ $career->location }}</p>
                        </div>
                    </div>

                    <div class="d-flex border-1 border-top-dashed border-secondary border-opacity-25 py-2">
                        <div class="icon-md icon-shape rounded-circle bg-body-tertiary bg-opacity-50 border mb-3 flex-shrink-0">
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-buildings" viewBox="0 0 16 16">
                                <path d="M14.763.075A.5.5 0 0 1 15 .5v15a.5.5 0 0 1-.5.5h-3a.5.5 0 0 1-.5-.5V14h-1v1.5a.5.5 0 0 1-.5.5h-9a.5.5 0 0 1-.5-.5V10a.5.5 0 0 1 .342-.474L6 7.64V4.5a.5.5 0 0 1 .276-.447l8-4a.5.5 0 0 1 .487.022M6 8.694 1 10.36V15h5zM7 15h2v-1.5a.5.5 0 0 1 .5-.5h2a.5.5 0 0 1 .5.5V15h2V1.309l-7 3.5z"/>
                                <path d="M2 11h1v1H2zm2 0h1v1H4zm-2 2h1v1H2zm2 0h1v1H4zm4-4h1v1H8zm2 0h1v1h-1zm-2 2h1v1H8zm2 0h1v1h-1zm2-2h1v1h-1zm0 2h1v1h-1zM8 7h1v1H8zm2 0h1v1h-1zm2 0h1v1h-1zM8 5h1v1H8zm2 0h1v1h-1zm2 0h1v1h-1zm0-2h1v1h-1z"/>
                            </svg>
                        </div>
                        <div class="ms-3">
                            <h5>Company</h5>
                            <p class="mb-0">{{ $career->company }}</p>
                        </div>
                    </div>
                    <div class="d-flex border-1 border-top-dashed border-secondary border-opacity-25 py-2">
                        <div class="icon-md icon-shape rounded-circle bg-body-tertiary bg-opacity-50 border mb-3 flex-shrink-0">
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-pc-display-horizontal" viewBox="0 0 16 16">
                                <path d="M1.5 0A1.5 1.5 0 0 0 0 1.5v7A1.5 1.5 0 0 0 1.5 10H6v1H1a1 1 0 0 0-1 1v3a1 1 0 0 0 1 1h14a1 1 0 0 0 1-1v-3a1 1 0 0 0-1-1h-5v-1h4.5A1.5 1.5 0 0 0 16 8.5v-7A1.5 1.5 0 0 0 14.5 0zm0 1h13a.5.5 0 0 1 .5.5v7a.5.5 0 0 1-.5.5h-13a.5.5 0 0 1-.5-.5v-7a.5.5 0 0 1 .5-.5M12 12.5a.5.5 0 1 1 1 0 .5.5 0 0 1-1 0m2 0a.5.5 0 1 1 1 0 .5.5 0 0 1-1 0M1.5 12h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1 0-1M1 14.25a.25.25 0 0 1 .25-.25h5.5a.25.25 0 1 1 0 .5h-5.5a.25.25 0 0 1-.25-.25"/>
                            </svg>
                        </div>
                        <div class="ms-3">
                            <h5>Website</h5>
                            <a href="{{ $career->website }}" class="mb-0">Click here</a>
                        </div>
                    </div>
                    <div class="d-flex border-1 border-top-dashed border-secondary border-opacity-25 py-2">
                        <div class="icon-md icon-shape rounded-circle bg-body-tertiary bg-opacity-50 border mb-3 flex-shrink-0">
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-envelope" viewBox="0 0 16 16">
                                <path d="M0 4a2 2 0 0 1 2-2h12a2 2 0 0 1 2 2v8a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2zm2-1a1 1 0 0 0-1 1v.217l7 4.2 7-4.2V4a1 1 0 0 0-1-1zm13 2.383-4.708 2.825L15 11.105zm-.034 6.876-5.64-3.471L8 9.583l-1.326-.795-5.64 3.47A1 1 0 0 0 2 13h12a1 1 0 0 0 .966-.741M1 11.105l4.708-2.897L1 5.383z"/>
                            </svg>
                        </div>
                        <div class="ms-3">
                            <h5>Email</h5>
                            <p class="mb-0">{{ $career->email }}</p>
                        </div>
                    </div>
                    <div class="d-flex border-1 border-top-dashed border-secondary border-opacity-25 py-2">
                        <div class="icon-md icon-shape rounded-circle bg-body-tertiary bg-opacity-50 border mb-3 flex-shrink-0">
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-telephone" viewBox="0 0 16 16">
                                <path d="M3.654 1.328a.678.678 0 0 0-1.015-.063L1.605 2.3c-.483.484-.661 1.169-.45 1.77a17.6 17.6 0 0 0 4.168 6.608 17.6 17.6 0 0 0 6.608 4.168c.601.211 1.286.033 1.77-.45l1.034-1.034a.678.678 0 0 0-.063-1.015l-2.307-1.794a.68.68 0 0 0-.58-.122l-2.19.547a1.75 1.75 0 0 1-1.657-.459L5.482 8.062a1.75 1.75 0 0 1-.46-1.657l.548-2.19a.68.68 0 0 0-.122-.58zM1.884.511a1.745 1.745 0 0 1 2.612.163L6.29 2.98c.329.423.445.974.315 1.494l-.547 2.19a.68.68 0 0 0 .178.643l2.457 2.457a.68.68 0 0 0 .644.178l2.189-.547a1.75 1.75 0 0 1 1.494.315l2.306 1.794c.829.645.905 1.87.163 2.611l-1.034 1.034c-.74.74-1.846 1.065-2.877.702a18.6 18.6 0 0 1-7.01-4.42 18.6 18.6 0 0 1-4.42-7.009c-.362-1.03-.037-2.137.703-2.877z"/>
                            </svg>
                        </div>
                        <div class="ms-3">
                            <h5>Tel</h5>
                            <p class="mb-0">{{ $career->tel }}</p>
                        </div>
                    </div>
                    <div class="d-flex border-1 border-top-dashed border-secondary border-opacity-25 py-2">
                        <div class="icon-md icon-shape rounded-circle bg-body-tertiary bg-opacity-50 border mb-3 flex-shrink-0">
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-list-ol" viewBox="0 0 16 16">
                                <path fill-rule="evenodd" d="M5 11.5a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9a.5.5 0 0 1-.5-.5m0-4a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9a.5.5 0 0 1-.5-.5m0-4a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9a.5.5 0 0 1-.5-.5"/>
                                <path d="M1.713 11.865v-.474H2c.217 0 .363-.137.363-.317 0-.185-.158-.31-.361-.31-.223 0-.367.152-.373.31h-.59c.016-.467.373-.787.986-.787.588-.002.954.291.957.703a.595.595 0 0 1-.492.594v.033a.615.615 0 0 1 .569.631c.003.533-.502.8-1.051.8-.656 0-1-.37-1.008-.794h.582c.008.178.186.306.422.309.254 0 .424-.145.422-.35-.002-.195-.155-.348-.414-.348h-.3zm-.004-4.699h-.604v-.035c0-.408.295-.844.958-.844.583 0 .96.326.96.756 0 .389-.257.617-.476.848l-.537.572v.03h1.054V9H1.143v-.395l.957-.99c.138-.142.293-.304.293-.508 0-.18-.147-.32-.342-.32a.33.33 0 0 0-.342.338zM2.564 5h-.635V2.924h-.031l-.598.42v-.567l.629-.443h.635z"/>
                            </svg>
                        </div>
                        <div class="ms-3">
                            <h5>Number of Require</h5>
                            <p class="mb-0">{{ $career->number }}</p>
                        </div>
                    </div>
                    <div class="d-flex border-1 border-top-dashed border-secondary border-opacity-25 py-2">
                        <div class="icon-md icon-shape rounded-circle bg-body-tertiary bg-opacity-50 border mb-3 flex-shrink-0">
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-calendar" viewBox="0 0 16 16">
                                <path d="M3.5 0a.5.5 0 0 1 .5.5V1h8V.5a.5.5 0 0 1 1 0V1h1a2 2 0 0 1 2 2v11a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V3a2 2 0 0 1 2-2h1V.5a.5.5 0 0 1 .5-.5M1 4v10a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V4z"/>
                            </svg>
                        </div>
                        <div class="ms-3">
                            <h5>Date</h5>
                            <small>{{ date('M d, Y', strtotime($career->start_date)) }}</small>
                            <span class="mx-1">-</span>
                            <small>{{ date('M d, Y', strtotime($career->end_date)) }}</small>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-7 col-md-12 order-2">
                    <div class="mb-6 mt-4">
                        <div id="description">
                            {!! $career->description !!}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--Career details end-->

    <!--More job start-->
    <section class="mb-xl-9 my-5">
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <h3 class="mb-4">More jobs</h3>
                </div>
            </div>
            <div class="row g-5">
                @foreach($careers as $career)
                    <div class="col-lg-4 col-md-6">
                        <div class="card border-0 shadow-sm h-100 card-lift">
                            <figure>
                                <a href="{{ route('career.details', $career->id) }}">
                                    <img src="{{ !empty($career->image)  ? asset('uploads/career/' . $career->image) : asset('backend-assets/img/no-image/no-image.png') }}" alt="event" class="card-img-top" />
                                </a>
                            </figure>

                            <div class="card-body h-100 d-flex align-items-start flex-column border rounded-bottom-3 border-top-0">
                                <div class="mb-5">
                                    <h4 class="my-2"><a href="{{ route('career.details', $career->id) }}" class="text-reset">{{ $career->position }}</a></h4>
                                    <span>Number: <small class="fw-bold">{{ $career->number }}</small></span>
                                    <br>
                                    <span>Email: <small class="fw-bold">{{ $career->email }}</small></span>
                                    <br>
                                    <span>Tel: <small class="fw-bold">{{ $career->tel }}</small></span>
                                    <br>
                                    <span>Company: <small class="fw-bold">{{ $career->company }}</small></span>
                                    <br>
                                    <span>Location: <small class="fw-bold">{{ $career->location }}</small></span>
                                </div>
                                <div class="d-flex align-items-center w-100 mt-auto">
                                    <small>{{ date('M d, Y', strtotime($career->start_date)) }}</small>
                                    <span class="mx-1">-</span>
                                    <small>{{ date('M d, Y', strtotime($career->end_date)) }}</small>
                                </div>
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
        </div>
    </section>
    <!--More job end-->
@endsection
