@php
    $newsActivities = App\Models\NewsActivity::where('activation', 1)->limit(3)->latest()->get();
@endphp

<!--News start-->
<section class="py-lg-9 py-6">
    <div class="container">
        <div class="row mb-8">
            <div class="col-xl-8 offset-xl-2 col-12">
                <div class="d-flex flex-column gap-2 mx-lg-8 text-center">
                    <h2 class="mb-0">News & Activities</h2>
                    <p class="mb-0 lead">
                        News & Activities at University of Hengsamrin Thbong Khmum
                    </p>
                </div>
            </div>
        </div>
        <!-- Blog Card -->
        <div class="table-responsive-lg">
            <div class="row g-5 flex-nowrap pb-4 pb-lg-0 me-5 me-lg-0">
                @foreach($newsActivities as $newsActivity)
                    <article class="col-lg-4 col-md-6 col-12" data-cue="zoomIn">
                        <figure class="mb-4 zoom-img">
                            <a href="{{ route('news.details', $newsActivity->id) }}">
                                <img src="{{ !empty($newsActivity->image)  ? asset('uploads/news-activity/' . $newsActivity->image) : asset('backend-assets/img/no-image/no-image.png') }}" alt="blog" class="img-fluid rounded-3" />
                            </a>
                        </figure>

                        <h3 class="my-3 lh-base h4">
                            <a href="{{ route('news.details', $newsActivity->id) }}" class="text-reset">{{ $newsActivity->title_en }}</a>
                        </h3>
                        <div class="d-flex align-items-center justify-content-between mb-3 mb-md-0">
                            <div class="d-flex align-items-center">
                                <img src="{{ asset('backend-assets/img/avatars/19.jpg') }}" alt="Avatar" class="avatar avatar-xs rounded-circle" />
                                <div class="ms-2">
                                    <a href="#" class="text-reset fs-6">Admin</a>
                                </div>
                            </div>
                            <div class="ms-3"><span class="fs-6">{{ date('M d, Y H:i', strtotime($newsActivity->date)) }}</span></div>
                        </div>
                    </article>
                @endforeach
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12" data-cue="zoomIn">
                <div class="mt-lg-8 mt-5">
                    <a href="{{ route('news') }}" class="icon-link icon-link-hover text-dark">
                        Read more news
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrow-right" viewBox="0 0 16 16">
                            <path fill-rule="evenodd" d="M1 8a.5.5 0 0 1 .5-.5h11.793l-3.147-3.146a.5.5 0 0 1 .708-.708l4 4a.5.5 0 0 1 0 .708l-4 4a.5.5 0 0 1-.708-.708L13.293 8.5H1.5A.5.5 0 0 1 1 8z" />
                        </svg>
                    </a>
                </div>
            </div>
        </div>
    </div>
</section>
<!--News end-->
