@extends('layouts.contentNavbarLayoutFrontend')

@section('title', 'Major & Course')

@section('page-style')
    <style>
        /* Target CKEditor instance */
        .ck-editor__editable_inline {
            border: none !important;  /* Remove the border */
            box-shadow: none !important;  /* Remove any shadow */
        }

        .ck.ck-editor__top .ck-sticky-panel .ck-sticky-panel__content {
            border: none !important;
        }
    </style>
@endsection

@section('vendor-script')
    <script src="{{ asset('backend-frontend-assets/vendor/libs/ckeditor5/ckeditor.min.js') }}"></script>
@endsection

@section('page-script')
    <script type="text/javascript">
        ClassicEditor
            .create(document.querySelector('#description'), {
                toolbar: [], // Remove toolbar
                isReadOnly: true,  // Use 'isReadOnly' instead of 'readOnly'
                image: {
                    toolbar: []  // Remove image toolbar if needed
                }
            })
            .then(editor => {
                editor.enableReadOnlyMode('description');  // Explicitly enforce read-only mode
            })
            .catch(error => {
                console.error('Error initializing CKEditor:', error);
            });
    </script>
@endsection

@section('content')
    <div class="pattern-square"></div>
    <!--Pageheader start-->
    <section class="py-5 py-lg-8">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-12">
                    <div class="text-center">
                        <h1 class="mb-3">Major & Course</h1>
                        <p class="mb-0">Major & Course of UHST</p>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--Pageheader end-->

    <!--major course start-->
    <section class="mb-xl-9">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <!-- Nesting table -->
                    <table class="table table-bordered">
                        <thead class="bg-light">
                        <tr>
                            <th scope="col">Title</th>
                            <th scope="col">Major</th>
                            <th scope="col">Course</th>
                            <th scope="col">Semester</th>
                            <th scope="col">Year</th>
                            <th scope="col">Credit</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($majorCourses as $majorCourse)
                            <tr>
                                <td><a href="{{ route('major-course.details', $majorCourse->id) }}">{{ $majorCourse->title }}</a></td>
                                <td>{{ $majorCourse->major->title_en }}</td>
                                <td>{{ $majorCourse->course->title_en }}</td>
                                <td>{{ $majorCourse->semester }}</td>
                                <td>{{ $majorCourse->year }}</td>
                                <td>{{ $majorCourse->credit }}</td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </section>
    <!--major course end-->
@endsection
