@extends('layouts.contentNavbarLayoutFrontend')

@section('title', 'Publication Book')

@section('content')
    <div class="pattern-square"></div>
    <!--Pageheader start-->
    <section class="py-5 py-lg-8">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-12">
                    <div class="text-center">
                        <h1 class="mb-3">Publication Book</h1>
                        <p class="mb-0">Publication Book</p>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--Pageheader end-->

    <!--Publication Book start-->
    <section class="mb-xl-9">
        <div class="container">
            <!-- Blog Card -->
            <div class="table-responsive-lg">
                <div class="row g-5 flex-nowrap pb-4 pb-lg-0 me-5 me-lg-0">
                    @foreach($publicationBooks as $publicationBook)
                        <article class="col-lg-4 col-md-6 col-12" data-cue="zoomIn">
                            <figure class="mb-4 zoom-img">
                                <a href="{{ route('publication-book.details', $publicationBook->id) }}">
                                    <img src="{{ !empty($publicationBook->image)  ? asset('uploads/publication-book/' . $publicationBook->image) : asset('backend-assets/img/no-image/no-image.png') }}" alt="blog" class="img-fluid rounded-3" />
                                </a>
                            </figure>

                            <h3 class="my-3 lh-base h4">
                                <a href="{{ route('news.details', $publicationBook->id) }}" class="text-reset">{{ $publicationBook->title_en }}</a>
                            </h3>
                            <div class="d-flex align-items-center justify-content-between mb-3 mb-md-0">
                                <div class="d-flex align-items-center">
                                    <img src="{{ asset('backend-assets/img/avatars/19.jpg') }}" alt="Avatar" class="avatar avatar-xs rounded-circle" />
                                    <div class="ms-2">
                                        <a href="#" class="text-reset fs-6">{{ $publicationBook->author }}</a>
                                    </div>
                                </div>
                                <div class="ms-3"><span class="fs-6">{{ date('M d, Y', strtotime($publicationBook->date_published)) }}</span></div>
                            </div>
                        </article>
                    @endforeach
                </div>
            </div>
        </div>
    </section>
    <!--Publication Book end-->
@endsection
