@php
    use Illuminate\Support\Facades\Route;

    $currentRouteName = Route::currentRouteName();
@endphp

<!-- Menu -->
<aside id="layout-menu" class="layout-menu menu-vertical menu bg-menu-theme">
    <div class="app-brand demo">
        <a href="{{ route('admin.dashboard') }}" class="app-brand-link">
            <span class="app-brand-logo demo">
                @include('_partials.macrosBackend')
            </span>
            <span class="app-brand-text demo menu-text fw-bold ms-2">{{ config('variables.templateName') }}</span>
        </a>

        <a href="javascript:void(0);" class="layout-menu-toggle menu-link text-large ms-auto">
            <i class="bx bx-chevron-left bx-sm align-middle"></i>
        </a>
    </div>

    <div class="menu-inner-shadow"></div>

    <ul class="menu-inner py-1">
    <ul class="menu-inner py-1">
        <!-- Dashboard -->
        <li class="menu-item {{ Str::contains($currentRouteName, 'dashboard') ? 'active' : '' }}">
            <a href="{{ route('admin.dashboard') }}" class="menu-link">
                <i class="menu-icon tf-icons bx bx-home-circle"></i>
                <div class="text-truncate" data-i18n="Dashboard">Dashboard</div>
            </a>
        </li>

        <!-- Home Slide -->
        @if(Auth::user()->can('HomeSlide.List'))
            <li class="menu-item {{ Str::contains($currentRouteName, 'home-slides') ? 'active' : '' }}">
                <a href="{{ route('home-slides') }}" class="menu-link">
                    <i class="menu-icon tf-icons bx bx-slider"></i>
                    <div class="text-truncate" data-i18n="Home Slide">Home Slide</div>
                </a>
            </li>
        @endif

        <!-- About Us -->
        @if(Auth::user()->canAny(['History.List', 'MissionVision.List', 'PresidentMessage.List', 'Partner.List']))
            <li class="menu-item {{ Str::startsWith($currentRouteName, 'about-us') ? 'active open' : '' }}">
                <a href="javascript:void(0);" class="menu-link menu-toggle">
                    <i class="menu-icon tf-icons bx bx-info-circle"></i>
                    <div class="text-truncate" data-i18n="About Us">About Us</div>
                </a>
                <ul class="menu-sub">
                    <!-- History -->
                    @if(Auth::user()->can('History.List'))
                        <li class="menu-item {{ Str::contains($currentRouteName, 'about-us.histories') ? 'active' : '' }}">
                            <a href="{{ route('about-us.histories') }}" class="menu-link">
                                <div class="text-truncate" data-i18n="History">History</div>
                            </a>
                        </li>
                    @endif
                    <!-- Mission & Vision -->
                    @if(Auth::user()->can('MissionVision.List'))
                        <li class="menu-item {{ Str::contains($currentRouteName, 'about-us.mission-vision') ? 'active' : '' }}">
                            <a href="{{ route('about-us.mission-visions') }}" class="menu-link">
                                <div class="text-truncate" data-i18n="Mission & Vision">Mission & Vision</div>
                            </a>
                        </li>
                    @endif
                    <!-- President Message -->
                    @if(Auth::user()->can('PresidentMessage.List'))
                        <li class="menu-item {{ Str::contains($currentRouteName, 'about-us.president-messages') ? 'active' : '' }}">
                            <a href="{{ route('about-us.president-messages') }}" class="menu-link">
                                <div class="text-truncate" data-i18n="President Message">President Message</div>
                            </a>
                        </li>
                    @endif
                    <!-- Partner -->
                    @if(Auth::user()->can('Partner.List'))
                        <li class="menu-item {{ Str::contains($currentRouteName, 'about-us.partners') ? 'active' : '' }}">
                            <a href="{{ route('about-us.partners') }}" class="menu-link">
                                <div class="text-truncate" data-i18n="Partner">Partner</div>
                            </a>
                        </li>
                    @endif

                </ul>
            </li>
        @endif

        <!-- Faculty -->
        @if(Auth::user()->can('Faculty.List'))
            <li class="menu-item {{ Str::contains($currentRouteName, 'faculties') ? 'active' : '' }}">
                <a href="{{ route('faculties') }}" class="menu-link">
                    <i class="menu-icon tf-icons bx bx-building-house"></i>
                    <div class="text-truncate" data-i18n="Faculty">Faculty</div>
                </a>
            </li>
        @endif

        <!-- Institute -->
        @if(Auth::user()->can('Institute.List'))
            <li class="menu-item {{ Str::contains($currentRouteName, 'institutes') ? 'active' : '' }}">
                <a href="{{ route('institutes') }}" class="menu-link">
                    <i class="menu-icon tf-icons bx bxs-institution"></i>
                    <div class="text-truncate" data-i18n="Institute">Institute</div>
                </a>
            </li>
        @endif

        <!-- Major Course -->
        @if(Auth::user()->canAny(['MajorCourse.List', 'Major.List', 'Course.List']))
            <li class="menu-item {{ Str::startsWith($currentRouteName, 'major-course') ? 'active open' : '' }}">
                <a href="javascript:void(0);" class="menu-link menu-toggle">
                    <i class="menu-icon tf-icons bx bx-book-content"></i>
                    <div class="text-truncate" data-i18n="Major Course">Major Course</div>
                </a>
                <ul class="menu-sub">
                    <!-- Major Course -->
                    @if(Auth::user()->can('MajorCourse.List'))
                        <li class="menu-item {{ Str::contains($currentRouteName, 'major-courses') ? 'active' : '' }}">
                            <a href="{{ route('major-courses') }}" class="menu-link">
                                <div class="text-truncate" data-i18n="Major Course">Major Course</div>
                            </a>
                        </li>
                    @endif
                    <!-- Major -->
                    @if(Auth::user()->can('Major.List'))
                        <li class="menu-item {{ Str::contains($currentRouteName, 'majors') ? 'active' : '' }}">
                            <a href="{{ route('major-course.majors') }}" class="menu-link">
                                <div class="text-truncate" data-i18n="Major">Major</div>
                            </a>
                        </li>
                    @endif
                    <!-- Course -->
                    @if(Auth::user()->can('Course.List'))
                        <li class="menu-item {{ Str::contains($currentRouteName, 'courses') && !Str::contains($currentRouteName, 'major-courses') ? 'active' : '' }}">
                            <a href="{{ route('major-course.courses') }}" class="menu-link">
                                <div class="text-truncate" data-i18n="Course">Course</div>
                            </a>
                        </li>
                    @endif
                </ul>
            </li>
        @endif

        <!-- Study -->
        @if(Auth::user()->canAny(['Admission.List']))
            <li class="menu-item {{ Str::startsWith($currentRouteName, 'study') ? 'active open' : '' }}">
                <a href="javascript:void(0);" class="menu-link menu-toggle">
                    <i class="menu-icon tf-icons bx bx-tv"></i>
                    <div class="text-truncate" data-i18n="Study">Study</div>
                </a>
                <ul class="menu-sub">
                    <!-- Admission -->
                    @if(Auth::user()->can('Admission.List'))
                        <li class="menu-item {{ Str::contains($currentRouteName, 'admissions') ? 'active' : '' }}">
                            <a href="{{ route('study.admissions') }}" class="menu-link">
                                <div class="text-truncate" data-i18n="Admission">Admission</div>
                            </a>
                        </li>
                    @endif
                </ul>
            </li>
        @endif

        <!-- Research & Innovation -->
        @if(Auth::user()->canAny(['Project.List', 'PublicationBook.List', 'TrainingWorkshop.List', 'Conference.List']))
            <li class="menu-item {{ Str::startsWith($currentRouteName, 'research-innovation') ? 'active open' : '' }}">
                <a href="javascript:void(0);" class="menu-link menu-toggle">
                    <i class="menu-icon tf-icons bx bx-search-alt"></i>
                    <div class="text-truncate" data-i18n="Research & Innovation">Research & Innovation</div>
                </a>
                <ul class="menu-sub">
                    <!-- Projects -->
                    @if(Auth::user()->can('Project.List'))
                        <li class="menu-item {{ Str::contains($currentRouteName, 'projects') ? 'active' : '' }}">
                            <a href="{{ route('research-innovation.projects') }}" class="menu-link">
                                <div class="text-truncate" data-i18n="Projects">Projects</div>
                            </a>
                        </li>
                    @endif
                    <!-- Publication Books -->
                    @if(Auth::user()->can('PublicationBook.List'))
                        <li class="menu-item {{ Str::contains($currentRouteName, 'publication-books') ? 'active' : '' }}">
                            <a href="{{ route('research-innovation.publication-books') }}" class="menu-link">
                                <div class="text-truncate" data-i18n="Publication Books">Publication Books</div>
                            </a>
                        </li>
                    @endif
                    <!-- Training & Workshop -->
                    @if(Auth::user()->can('TrainingWorkshop.List'))
                        <li class="menu-item {{ Str::contains($currentRouteName, 'training-workshops') ? 'active' : '' }}">
                            <a href="{{ route('research-innovation.training-workshops') }}" class="menu-link">
                                <div class="text-truncate" data-i18n="Training & Workshop">Training & Workshop</div>
                            </a>
                        </li>
                    @endif
                    <!-- Conferences -->
                    @if(Auth::user()->can('Conference.List'))
                        <li class="menu-item {{ Str::contains($currentRouteName, 'conferences') ? 'active' : '' }}">
                            <a href="{{ route('research-innovation.conferences') }}" class="menu-link">
                                <div class="text-truncate" data-i18n="Conferences">Conferences</div>
                            </a>
                        </li>
                    @endif
                </ul>
            </li>
        @endif

        <!-- Contact & Location -->
        @if(Auth::user()->can('ContactLocation.List'))
            <li class="menu-item {{ Str::contains($currentRouteName, 'contacts') ? 'active' : '' }}">
                <a href="{{ route('contacts') }}" class="menu-link">
                    <i class="menu-icon tf-icons bx bx-map"></i>
                    <div class="text-truncate" data-i18n="Contact & Location">Contact & Location</div>
                </a>
            </li>
        @endif

        <!-- News & Activities -->
        @if(Auth::user()->can('NewsActivities.List'))
            <li class="menu-item {{ Str::contains($currentRouteName, 'news-activities') ? 'active' : '' }}">
                <a href="{{ route('news-activities') }}" class="menu-link">
                    <i class="menu-icon tf-icons bx bx-news"></i>
                    <div class="text-truncate" data-i18n="News & Activities">News & Activities</div>
                </a>
            </li>
        @endif

        <!-- Careers -->
        @if(Auth::user()->can('Career.List'))
            <li class="menu-item {{ Str::contains($currentRouteName, 'careers') ? 'active' : '' }}">
                <a href="{{ route('careers') }}" class="menu-link">
                    <i class="menu-icon tf-icons bx bx-briefcase"></i>
                    <div class="text-truncate" data-i18n="Careers">Careers</div>
                </a>
            </li>
        @endif

        <!-- Users -->
        @if(Auth::user()->canAny(['User.List', 'UserRole.List']))
            <li class="menu-item {{ Str::startsWith($currentRouteName, 'user') ? 'active open' : '' }}">
                <a href="javascript:void(0);" class="menu-link menu-toggle">
                    <i class="menu-icon tf-icons bx bx-user"></i>
                    <div class="text-truncate" data-i18n="Users">Users</div>
                </a>
                <ul class="menu-sub">
                    <!-- User -->
                    @if(Auth::user()->can('User.List'))
                        <li class="menu-item {{ Str::contains($currentRouteName, 'user') && !Str::contains($currentRouteName, 'user.role') ? 'active' : '' }}">
                            <a href="{{ route('user') }}" class="menu-link">
                                <div class="text-truncate" data-i18n="User">User</div>
                            </a>
                        </li>
                    @endif
                    <!-- User Role -->
                    @if(Auth::user()->can('UserRole.List'))
                        <li class="menu-item {{ Str::contains($currentRouteName, 'user.role') ? 'active' : '' }}">
                            <a href="{{ route('user.role') }}" class="menu-link">
                                <div class="text-truncate" data-i18n="User Role">User Role</div>
                            </a>
                        </li>
                    @endif
                </ul>
            </li>
        @endif
    </ul>
</aside>
<!-- / Menu -->
