<?php
    use Illuminate\Support\Facades\Route;

    $currentRouteName = Route::currentRouteName();
?>

<!-- Menu -->
<aside id="layout-menu" class="layout-menu menu-vertical menu bg-menu-theme">
    <div class="app-brand demo">
        <a href="<?php echo e(route('admin.dashboard')); ?>" class="app-brand-link">
            <span class="app-brand-logo demo">
                <?php echo $__env->make('_partials.macrosBackend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </span>
            <span class="app-brand-text demo menu-text fw-bold ms-2"><?php echo e(config('variables.templateName')); ?></span>
        </a>

        <a href="javascript:void(0);" class="layout-menu-toggle menu-link text-large ms-auto">
            <i class="bx bx-chevron-left bx-sm align-middle"></i>
        </a>
    </div>

    <div class="menu-inner-shadow"></div>

    <ul class="menu-inner py-1">
    <ul class="menu-inner py-1">
        <!-- Dashboard -->
        <li class="menu-item <?php echo e(Str::contains($currentRouteName, 'dashboard') ? 'active' : ''); ?>">
            <a href="<?php echo e(route('admin.dashboard')); ?>" class="menu-link">
                <i class="menu-icon tf-icons bx bx-home-circle"></i>
                <div class="text-truncate" data-i18n="Dashboard">Dashboard</div>
            </a>
        </li>

        <!-- Home Slide -->
        <?php if(Auth::user()->can('HomeSlide.List')): ?>
            <li class="menu-item <?php echo e(Str::contains($currentRouteName, 'home-slides') ? 'active' : ''); ?>">
                <a href="<?php echo e(route('home-slides')); ?>" class="menu-link">
                    <i class="menu-icon tf-icons bx bx-slider"></i>
                    <div class="text-truncate" data-i18n="Home Slide">Home Slide</div>
                </a>
            </li>
        <?php endif; ?>

        <!-- About Us -->
        <?php if(Auth::user()->canAny(['History.List', 'MissionVision.List', 'PresidentMessage.List', 'Partner.List'])): ?>
            <li class="menu-item <?php echo e(Str::startsWith($currentRouteName, 'about-us') ? 'active open' : ''); ?>">
                <a href="javascript:void(0);" class="menu-link menu-toggle">
                    <i class="menu-icon tf-icons bx bx-info-circle"></i>
                    <div class="text-truncate" data-i18n="About Us">About Us</div>
                </a>
                <ul class="menu-sub">
                    <!-- History -->
                    <?php if(Auth::user()->can('History.List')): ?>
                        <li class="menu-item <?php echo e(Str::contains($currentRouteName, 'about-us.histories') ? 'active' : ''); ?>">
                            <a href="<?php echo e(route('about-us.histories')); ?>" class="menu-link">
                                <div class="text-truncate" data-i18n="History">History</div>
                            </a>
                        </li>
                    <?php endif; ?>
                    <!-- Mission & Vision -->
                    <?php if(Auth::user()->can('MissionVision.List')): ?>
                        <li class="menu-item <?php echo e(Str::contains($currentRouteName, 'about-us.mission-vision') ? 'active' : ''); ?>">
                            <a href="<?php echo e(route('about-us.mission-visions')); ?>" class="menu-link">
                                <div class="text-truncate" data-i18n="Mission & Vision">Mission & Vision</div>
                            </a>
                        </li>
                    <?php endif; ?>
                    <!-- President Message -->
                    <?php if(Auth::user()->can('PresidentMessage.List')): ?>
                        <li class="menu-item <?php echo e(Str::contains($currentRouteName, 'about-us.president-messages') ? 'active' : ''); ?>">
                            <a href="<?php echo e(route('about-us.president-messages')); ?>" class="menu-link">
                                <div class="text-truncate" data-i18n="President Message">President Message</div>
                            </a>
                        </li>
                    <?php endif; ?>
                    <!-- Partner -->
                    <?php if(Auth::user()->can('Partner.List')): ?>
                        <li class="menu-item <?php echo e(Str::contains($currentRouteName, 'about-us.partners') ? 'active' : ''); ?>">
                            <a href="<?php echo e(route('about-us.partners')); ?>" class="menu-link">
                                <div class="text-truncate" data-i18n="Partner">Partner</div>
                            </a>
                        </li>
                    <?php endif; ?>

                </ul>
            </li>
        <?php endif; ?>

        <!-- Faculty -->
        <?php if(Auth::user()->can('Faculty.List')): ?>
            <li class="menu-item <?php echo e(Str::contains($currentRouteName, 'faculties') ? 'active' : ''); ?>">
                <a href="<?php echo e(route('faculties')); ?>" class="menu-link">
                    <i class="menu-icon tf-icons bx bx-building-house"></i>
                    <div class="text-truncate" data-i18n="Faculty">Faculty</div>
                </a>
            </li>
        <?php endif; ?>

        <!-- Institute -->
        <?php if(Auth::user()->can('Institute.List')): ?>
            <li class="menu-item <?php echo e(Str::contains($currentRouteName, 'institutes') ? 'active' : ''); ?>">
                <a href="<?php echo e(route('institutes')); ?>" class="menu-link">
                    <i class="menu-icon tf-icons bx bxs-institution"></i>
                    <div class="text-truncate" data-i18n="Institute">Institute</div>
                </a>
            </li>
        <?php endif; ?>

        <!-- Major Course -->
        <?php if(Auth::user()->canAny(['MajorCourse.List', 'Major.List', 'Course.List'])): ?>
            <li class="menu-item <?php echo e(Str::startsWith($currentRouteName, 'major-course') ? 'active open' : ''); ?>">
                <a href="javascript:void(0);" class="menu-link menu-toggle">
                    <i class="menu-icon tf-icons bx bx-book-content"></i>
                    <div class="text-truncate" data-i18n="Major Course">Major Course</div>
                </a>
                <ul class="menu-sub">
                    <!-- Major Course -->
                    <?php if(Auth::user()->can('MajorCourse.List')): ?>
                        <li class="menu-item <?php echo e(Str::contains($currentRouteName, 'major-courses') ? 'active' : ''); ?>">
                            <a href="<?php echo e(route('major-courses')); ?>" class="menu-link">
                                <div class="text-truncate" data-i18n="Major Course">Major Course</div>
                            </a>
                        </li>
                    <?php endif; ?>
                    <!-- Major -->
                    <?php if(Auth::user()->can('Major.List')): ?>
                        <li class="menu-item <?php echo e(Str::contains($currentRouteName, 'majors') ? 'active' : ''); ?>">
                            <a href="<?php echo e(route('major-course.majors')); ?>" class="menu-link">
                                <div class="text-truncate" data-i18n="Major">Major</div>
                            </a>
                        </li>
                    <?php endif; ?>
                    <!-- Course -->
                    <?php if(Auth::user()->can('Course.List')): ?>
                        <li class="menu-item <?php echo e(Str::contains($currentRouteName, 'courses') && !Str::contains($currentRouteName, 'major-courses') ? 'active' : ''); ?>">
                            <a href="<?php echo e(route('major-course.courses')); ?>" class="menu-link">
                                <div class="text-truncate" data-i18n="Course">Course</div>
                            </a>
                        </li>
                    <?php endif; ?>
                </ul>
            </li>
        <?php endif; ?>

        <!-- Study -->
        <?php if(Auth::user()->canAny(['Admission.List'])): ?>
            <li class="menu-item <?php echo e(Str::startsWith($currentRouteName, 'study') ? 'active open' : ''); ?>">
                <a href="javascript:void(0);" class="menu-link menu-toggle">
                    <i class="menu-icon tf-icons bx bx-tv"></i>
                    <div class="text-truncate" data-i18n="Study">Study</div>
                </a>
                <ul class="menu-sub">
                    <!-- Admission -->
                    <?php if(Auth::user()->can('Admission.List')): ?>
                        <li class="menu-item <?php echo e(Str::contains($currentRouteName, 'admissions') ? 'active' : ''); ?>">
                            <a href="<?php echo e(route('study.admissions')); ?>" class="menu-link">
                                <div class="text-truncate" data-i18n="Admission">Admission</div>
                            </a>
                        </li>
                    <?php endif; ?>
                </ul>
            </li>
        <?php endif; ?>

        <!-- Research & Innovation -->
        <?php if(Auth::user()->canAny(['Project.List', 'PublicationBook.List', 'TrainingWorkshop.List', 'Conference.List'])): ?>
            <li class="menu-item <?php echo e(Str::startsWith($currentRouteName, 'research-innovation') ? 'active open' : ''); ?>">
                <a href="javascript:void(0);" class="menu-link menu-toggle">
                    <i class="menu-icon tf-icons bx bx-search-alt"></i>
                    <div class="text-truncate" data-i18n="Research & Innovation">Research & Innovation</div>
                </a>
                <ul class="menu-sub">
                    <!-- Projects -->
                    <?php if(Auth::user()->can('Project.List')): ?>
                        <li class="menu-item <?php echo e(Str::contains($currentRouteName, 'projects') ? 'active' : ''); ?>">
                            <a href="<?php echo e(route('research-innovation.projects')); ?>" class="menu-link">
                                <div class="text-truncate" data-i18n="Projects">Projects</div>
                            </a>
                        </li>
                    <?php endif; ?>
                    <!-- Publication Books -->
                    <?php if(Auth::user()->can('PublicationBook.List')): ?>
                        <li class="menu-item <?php echo e(Str::contains($currentRouteName, 'publication-books') ? 'active' : ''); ?>">
                            <a href="<?php echo e(route('research-innovation.publication-books')); ?>" class="menu-link">
                                <div class="text-truncate" data-i18n="Publication Books">Publication Books</div>
                            </a>
                        </li>
                    <?php endif; ?>
                    <!-- Training & Workshop -->
                    <?php if(Auth::user()->can('TrainingWorkshop.List')): ?>
                        <li class="menu-item <?php echo e(Str::contains($currentRouteName, 'training-workshops') ? 'active' : ''); ?>">
                            <a href="<?php echo e(route('research-innovation.training-workshops')); ?>" class="menu-link">
                                <div class="text-truncate" data-i18n="Training & Workshop">Training & Workshop</div>
                            </a>
                        </li>
                    <?php endif; ?>
                    <!-- Conferences -->
                    <?php if(Auth::user()->can('Conference.List')): ?>
                        <li class="menu-item <?php echo e(Str::contains($currentRouteName, 'conferences') ? 'active' : ''); ?>">
                            <a href="<?php echo e(route('research-innovation.conferences')); ?>" class="menu-link">
                                <div class="text-truncate" data-i18n="Conferences">Conferences</div>
                            </a>
                        </li>
                    <?php endif; ?>
                </ul>
            </li>
        <?php endif; ?>

        <!-- Contact & Location -->
        <?php if(Auth::user()->can('ContactLocation.List')): ?>
            <li class="menu-item <?php echo e(Str::contains($currentRouteName, 'contacts') ? 'active' : ''); ?>">
                <a href="<?php echo e(route('contacts')); ?>" class="menu-link">
                    <i class="menu-icon tf-icons bx bx-map"></i>
                    <div class="text-truncate" data-i18n="Contact & Location">Contact & Location</div>
                </a>
            </li>
        <?php endif; ?>

        <!-- News & Activities -->
        <?php if(Auth::user()->can('NewsActivities.List')): ?>
            <li class="menu-item <?php echo e(Str::contains($currentRouteName, 'news-activities') ? 'active' : ''); ?>">
                <a href="<?php echo e(route('news-activities')); ?>" class="menu-link">
                    <i class="menu-icon tf-icons bx bx-news"></i>
                    <div class="text-truncate" data-i18n="News & Activities">News & Activities</div>
                </a>
            </li>
        <?php endif; ?>

        <!-- Careers -->
        <?php if(Auth::user()->can('Career.List')): ?>
            <li class="menu-item <?php echo e(Str::contains($currentRouteName, 'careers') ? 'active' : ''); ?>">
                <a href="<?php echo e(route('careers')); ?>" class="menu-link">
                    <i class="menu-icon tf-icons bx bx-briefcase"></i>
                    <div class="text-truncate" data-i18n="Careers">Careers</div>
                </a>
            </li>
        <?php endif; ?>

        <!-- Users -->
        <?php if(Auth::user()->canAny(['User.List', 'UserRole.List'])): ?>
            <li class="menu-item <?php echo e(Str::startsWith($currentRouteName, 'user') ? 'active open' : ''); ?>">
                <a href="javascript:void(0);" class="menu-link menu-toggle">
                    <i class="menu-icon tf-icons bx bx-user"></i>
                    <div class="text-truncate" data-i18n="Users">Users</div>
                </a>
                <ul class="menu-sub">
                    <!-- User -->
                    <?php if(Auth::user()->can('User.List')): ?>
                        <li class="menu-item <?php echo e(Str::contains($currentRouteName, 'user') && !Str::contains($currentRouteName, 'user.role') ? 'active' : ''); ?>">
                            <a href="<?php echo e(route('user')); ?>" class="menu-link">
                                <div class="text-truncate" data-i18n="User">User</div>
                            </a>
                        </li>
                    <?php endif; ?>
                    <!-- User Role -->
                    <?php if(Auth::user()->can('UserRole.List')): ?>
                        <li class="menu-item <?php echo e(Str::contains($currentRouteName, 'user.role') ? 'active' : ''); ?>">
                            <a href="<?php echo e(route('user.role')); ?>" class="menu-link">
                                <div class="text-truncate" data-i18n="User Role">User Role</div>
                            </a>
                        </li>
                    <?php endif; ?>
                </ul>
            </li>
        <?php endif; ?>
    </ul>
</aside>
<!-- / Menu -->
<?php /**PATH E:\Web Development\Laravel\uhst-website\resources\views/layouts/sections/menu/menuBackend.blade.php ENDPATH**/ ?>