<?php $__env->startSection('title', 'Create Partner'); ?>

<?php $__env->startSection('vendor-style'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('backend-assets/vendor/libs/filepond/css/filepond.css')); ?>"/>
    <link rel="stylesheet" href="<?php echo e(asset('backend-assets/vendor/libs/filepond/css/filepond-plugin-image-preview.css')); ?>"/>
    <link rel="stylesheet" href="<?php echo e(asset('backend-assets/vendor/libs/@form-validation/form-validation.css')); ?>"/>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-style'); ?>
    <style>
        .ck-editor__editable_inline {
            min-height: 300px;
        }
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('vendor-script'); ?>
    <script src="<?php echo e(asset('backend-assets/vendor/libs/filepond/js/filepond.js')); ?>"></script>
    <script src="<?php echo e(asset('backend-assets/vendor/libs/filepond/js/filepond-plugin-image-preview.js')); ?>"></script>
    <script src="<?php echo e(asset('backend-assets/vendor/libs/filepond/js/filepond-plugin-file-validate-size.js')); ?>"></script>
    <script src="<?php echo e(asset('backend-assets/vendor/libs/filepond/js/filepond-plugin-file-validate-type.js')); ?>"></script>
    <script src="<?php echo e(asset('backend-assets/vendor/libs/ckeditor5/ckeditor.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend-assets/vendor/libs/@form-validation/popular.js')); ?>"></script>
    <script src="<?php echo e(asset('backend-assets/vendor/libs/@form-validation/bootstrap5.js')); ?>"></script>
    <script src="<?php echo e(asset('backend-assets/vendor/libs/@form-validation/auto-focus.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-script'); ?>
    <script type="text/javascript">
        $(document).ready(function () {
            // Register the plugins
            FilePond.registerPlugin(
                FilePondPluginImagePreview,
                FilePondPluginFileValidateSize,
                FilePondPluginFileValidateType
            );

            // Turn all file input elements into ponds
            FilePond.create(document.querySelector('input[name="image"]'), {
                allowMultiple: false,
                server: {
                    process: {
                        url: '/upload-temp',
                        method: 'POST',
                        headers: {
                            'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                        }
                    }
                }
            });

            ClassicEditor
                .create( document.querySelector( '#description' ),{
                    ckfinder: {
                        uploadUrl: '<?php echo e(route('ckeditor.upload').'?_token='.csrf_token()); ?>',
                    }
                }).catch( error => {} );

            const formValidation = document.getElementById('partnerForm');

            const fv = FormValidation.formValidation(formValidation, {
                fields: {
                    title_en: {
                        validators: {
                            notEmpty: {
                                message: 'Please enter title in english'
                            }
                        }
                    },
                    title_kh: {
                        validators: {
                            notEmpty: {
                                message: 'Please enter title in khmer'
                            }
                        }
                    },
                },
                plugins: {
                    trigger: new FormValidation.plugins.Trigger(),
                    bootstrap5: new FormValidation.plugins.Bootstrap5({
                        // Use this for enabling/changing valid/invalid class
                        // eleInvalidClass: '',
                        eleValidClass: '',
                        rowSelector: function(field, ele) {
                            // field is the field name & ele is the field element
                            switch (field) {
                                case 'title_en':
                                case 'title_kh':
                                default:
                                    return '.row';
                            }
                        }
                    }),
                    submitButton: new FormValidation.plugins.SubmitButton(),
                    // Submit the form when all fields are valid
                    defaultSubmit: new FormValidation.plugins.DefaultSubmit(),
                    autoFocus: new FormValidation.plugins.AutoFocus()
                },
                init: instance => {
                    instance.on('plugins.message.placed', function(e) {
                        //* Move the error message out of the `input-group` element
                        if (e.element.parentElement.classList.contains('input-group')) {
                            // `e.field`: The field name
                            // `e.messageElement`: The message element
                            // `e.element`: The field element
                            e.element.parentElement.insertAdjacentElement('afterend', e.messageElement);
                        }
                        //* Move the error message out of the `row` element for custom-options
                        if (e.element.parentElement.parentElement.classList.contains('custom-option')) {
                            e.element.closest('.row').insertAdjacentElement('afterend', e.messageElement);
                        }
                    });
                }
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <form id="partnerForm" action="<?php echo e(route('about-us.partners.store')); ?>" method="POST" autocomplete="off" enctype="multipart/form-data">
        <?php echo csrf_field(); ?>
        <div class="d-flex flex-wrap justify-content-between align-items-center mb-3">
            <div class="d-flex flex-column justify-content-center">
                <h4 class="mb-1 mt-3">Add a new Partner</h4>
                <p class="text-muted">Enter partner data</p>
            </div>
            <div class="d-flex align-content-center flex-wrap gap-3">
                <a href="<?php echo e(route('about-us.partners')); ?>" class="btn btn-label-secondary">Back</a>
                <button type="submit" class="btn btn-primary">Save</button>
            </div>
        </div>

        <div class="card">
            <div class="card-body">
                <div class="row g-3">
                    <div class="col-lg-12">
                        <label class="form-label" for="image">Image</label>
                        <input type="file" class="filepond" id="image" name="image" data-max-file-size="3MB" data-max-files="1">
                    </div>
                    <div class="col-lg-6">
                        <label class="form-label" for="title_en">Title in English</label>
                        <input type="text" class="form-control" id="title_en" name="title_en" placeholder="Enter Title in English">
                    </div>
                    <div class="col-lg-6">
                        <label class="form-label" for="title_kh">Title in Khmer</label>
                        <input type="text" class="form-control" id="title_kh" name="title_kh" placeholder="Enter Title in Khmer">
                    </div>
                    <div class="col-lg-12">
                        <label class="form-label" for="description">Description</label>
                        <textarea class="form-control" id="description" name="description" placeholder="Enter Description" cols="30" rows="14"></textarea>
                    </div>
                </div>
            </div>
        </div>
    </form>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.contentNavbarLayoutBackend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\Web Development\Laravel\uhst-website\resources\views\backend\partner\create.blade.php ENDPATH**/ ?>