<?php $__env->startSection('title', 'Institute'); ?>

<?php $__env->startSection('page-style'); ?>
    <style>
        /* Target CKEditor instance */
        .ck-editor__editable_inline {
            border: none !important;  /* Remove the border */
            box-shadow: none !important;  /* Remove any shadow */
        }

        .ck.ck-editor__top .ck-sticky-panel .ck-sticky-panel__content {
            border: none !important;
        }
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('vendor-script'); ?>
    <script src="<?php echo e(asset('backend-frontend-assets/vendor/libs/ckeditor5/ckeditor.min.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-script'); ?>
    <script type="text/javascript">
        ClassicEditor
            .create(document.querySelector('#description'), {
                toolbar: [], // Remove toolbar
                isReadOnly: true,  // Use 'isReadOnly' instead of 'readOnly'
                image: {
                    toolbar: []  // Remove image toolbar if needed
                }
            })
            .then(editor => {
                editor.enableReadOnlyMode('description');  // Explicitly enforce read-only mode
            })
            .catch(error => {
                console.error('Error initializing CKEditor:', error);
            });
    </script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="pattern-square"></div>
    <!--Pageheader start-->
    <section class="py-5 py-lg-8">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-12">
                    <div class="text-center">
                        <h1 class="mb-3">Institute</h1>
                        <p class="mb-0">Institute of UHST</p>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--Pageheader end-->

    <!--Institute start-->
    <section class="mb-xl-9">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <h1 class="mb-0"><?php echo e($institute->title_en); ?></h1>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-7 col-md-12 order-2">
                    <div class="mb-6 mt-4">
                        <div id="description">
                            <?php echo $institute->description; ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--Institute end-->

    <!--Major start-->
    <section class="mb-xl-9 my-5">
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <h3 class="mb-4">Majors</h3>
                </div>
            </div>
            <div class="row g-5">
                <?php $__currentLoopData = $majors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $major): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="col-lg-3 col-md-6" data-cue="zoomIn">
                        <div class="card border-0 card-primary">
                            <div class="card-body p-5">
                                <div class="position-relative d-inline-block mb-5">
                                    <img src="<?php echo e(!empty($major->image)  ? asset('uploads/major/' . $major->image) : asset('backend-assets/img/no-image/no-image.png')); ?>" alt="major" class="avatar avatar-xl rounded-circle border-2 border border-white shadow-sm" />

                                    <div class="position-absolute bottom-0 end-0">
                                        <div class="icon-md icon-shape rounded-circle bg-white me-n2 mb-n2 shadow-sm">
                                            <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" fill="currentColor" class="bi bi-bank2 text-primary" viewBox="0 0 16 16">
                                                <path
                                                    d="M8.277.084a.5.5 0 0 0-.554 0l-7.5 5A.5.5 0 0 0 .5 6h1.875v7H1.5a.5.5 0 0 0 0 1h13a.5.5 0 1 0 0-1h-.875V6H15.5a.5.5 0 0 0 .277-.916l-7.5-5zM12.375 6v7h-1.25V6h1.25zm-2.5 0v7h-1.25V6h1.25zm-2.5 0v7h-1.25V6h1.25zm-2.5 0v7h-1.25V6h1.25zM8 4a1 1 0 1 1 0-2 1 1 0 0 1 0 2zM.5 15a.5.5 0 0 0 0 1h15a.5.5 0 1 0 0-1H.5z" />
                                            </svg>
                                        </div>
                                    </div>
                                </div>
                                <div class="mb-5">
                                    <h5 class="card-title"><?php echo e($major->title_en); ?></h5>
                                </div>

                                <a href="<?php echo e(route('major-course', $major->id)); ?>" class="icon-link icon-link-hover card-link">
                                    See more
                                    <svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" fill="currentColor" class="bi bi-arrow-right" viewBox="0 0 16 16">
                                        <path fill-rule="evenodd" d="M1 8a.5.5 0 0 1 .5-.5h11.793l-3.147-3.146a.5.5 0 0 1 .708-.708l4 4a.5.5 0 0 1 0 .708l-4 4a.5.5 0 0 1-.708-.708L13.293 8.5H1.5A.5.5 0 0 1 1 8z" />
                                    </svg>
                                </a>
                            </div>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </section>
    <!--Major end-->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.contentNavbarLayoutFrontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\Web Development\Laravel\uhst-website\resources\views\frontend\institute\index.blade.php ENDPATH**/ ?>