<?php $__env->startSection('title', 'Major & Course'); ?>

<?php $__env->startSection('page-style'); ?>
    <style>
        /* Target CKEditor instance */
        .ck-editor__editable_inline {
            border: none !important;  /* Remove the border */
            box-shadow: none !important;  /* Remove any shadow */
        }

        .ck.ck-editor__top .ck-sticky-panel .ck-sticky-panel__content {
            border: none !important;
        }
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('vendor-script'); ?>
    <script src="<?php echo e(asset('backend-frontend-assets/vendor/libs/ckeditor5/ckeditor.min.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-script'); ?>
    <script type="text/javascript">
        ClassicEditor
            .create(document.querySelector('#description'), {
                toolbar: [], // Remove toolbar
                isReadOnly: true,  // Use 'isReadOnly' instead of 'readOnly'
                image: {
                    toolbar: []  // Remove image toolbar if needed
                }
            })
            .then(editor => {
                editor.enableReadOnlyMode('description');  // Explicitly enforce read-only mode
            })
            .catch(error => {
                console.error('Error initializing CKEditor:', error);
            });
    </script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="pattern-square"></div>
    <!--Pageheader start-->
    <section class="py-5 py-lg-8">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-12">
                    <div class="text-center">
                        <h1 class="mb-3">Major & Course</h1>
                        <p class="mb-0">Major & Course of UHST</p>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--Pageheader end-->

    <!--major course start-->
    <section class="mb-xl-9">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <!-- Nesting table -->
                    <table class="table table-bordered">
                        <thead class="bg-light">
                        <tr>
                            <th scope="col">Title</th>
                            <th scope="col">Major</th>
                            <th scope="col">Course</th>
                            <th scope="col">Semester</th>
                            <th scope="col">Year</th>
                            <th scope="col">Credit</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $majorCourses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $majorCourse): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><a href="<?php echo e(route('major-course.details', $majorCourse->id)); ?>"><?php echo e($majorCourse->title); ?></a></td>
                                <td><?php echo e($majorCourse->major->title_en); ?></td>
                                <td><?php echo e($majorCourse->course->title_en); ?></td>
                                <td><?php echo e($majorCourse->semester); ?></td>
                                <td><?php echo e($majorCourse->year); ?></td>
                                <td><?php echo e($majorCourse->credit); ?></td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </section>
    <!--major course end-->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.contentNavbarLayoutFrontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\Web Development\Laravel\uhst-website\resources\views\frontend\major-course\index.blade.php ENDPATH**/ ?>