<?php $__env->startSection('title', 'News Details'); ?>

<?php $__env->startSection('page-style'); ?>
    <style>
        /* Target CKEditor instance */
        .ck-editor__editable_inline {
            border: none !important;  /* Remove the border */
            box-shadow: none !important;  /* Remove any shadow */
        }

        .ck.ck-editor__top .ck-sticky-panel .ck-sticky-panel__content {
            border: none !important;
        }
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('vendor-script'); ?>
    <script src="<?php echo e(asset('backend-assets/vendor/libs/ckeditor5/ckeditor.min.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-script'); ?>
    <script type="text/javascript">
        ClassicEditor
            .create(document.querySelector('#description'), {
                toolbar: [], // Remove toolbar
                isReadOnly: true,  // Use 'isReadOnly' instead of 'readOnly'
                image: {
                    toolbar: []  // Remove image toolbar if needed
                }
            })
            .then(editor => {
                editor.enableReadOnlyMode('description');  // Explicitly enforce read-only mode
            })
            .catch(error => {
                console.error('Error initializing CKEditor:', error);
            });
    </script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="pattern-square"></div>
    <!--Back to page start-->
    <section class="py-5 py-lg-8">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <a href="<?php echo e(route('news')); ?>" class="text-reset icon-link icon-link-hover">
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrow-left" viewBox="0 0 16 16">
                            <path fill-rule="evenodd" d="M15 8a.5.5 0 0 0-.5-.5H2.707l3.147-3.146a.5.5 0 1 0-.708-.708l-4 4a.5.5 0 0 0 0 .708l4 4a.5.5 0 0 0 .708-.708L2.707 8.5H14.5A.5.5 0 0 0 15 8z" />
                        </svg>
                        back to news
                    </a>
                </div>
            </div>
        </div>
    </section>
    <!--Back to page end-->

    <!--news details start-->
    <div class="mb-xl-9">
        <div class="container">
            <div class="row">
                <article class="col-lg-8 offset-lg-2">
                    <h1><?php echo e($newsActivity->title_en); ?></h1>
                    <p><?php echo e($newsActivity->sub_title_en); ?></p>
                    <div class="d-flex align-items-center mt-lg-6 mt-4">
                        <div class="me-5">
                            <span class="fs-6">Written by</span>
                            <div class="d-flex align-items-center mt-2">
                                <img src="<?php echo e(asset('backend-assets/img/avatars/19.jpg')); ?>" alt="Avatar" class="avatar avatar-xs rounded-circle" />
                                <div class="ms-2">
                                    <a href="#" class="text-reset fs-6">Admin</a>
                                </div>
                            </div>
                        </div>
                        <div>
                            <span class="fs-6">Published on</span>
                            <div class="mt-2 text-dark">
                                <span class="fs-6"><?php echo e(date('M d, Y H:i', strtotime($newsActivity->date))); ?></span>
                            </div>
                        </div>
                    </div>

                    <figure class="my-6">
                        <img src="<?php echo e(!empty($newsActivity->image)  ? asset('uploads/news-activity/' . $newsActivity->image) : asset('backend-assets/img/no-image/no-image.png')); ?>" alt="blog" class="rounded-3 img-fluid w-100" />
                    </figure>
                    <div id="description">
                        <?php echo $newsActivity->description; ?>

                    </div>
                </article>
            </div>
        </div>
    </div>
    <!--news details end-->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.contentNavbarLayoutFrontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\Web Development\Laravel\uhst-website\resources\views\frontend\news\details.blade.php ENDPATH**/ ?>