<?php
    // Fetch faculties with their institutes
    $faculties = \App\Models\Faculty::where('activation', 1)->get();

    // Fetch institutes without faculties
    $institutesWithoutFaculty = \App\Models\Institute::whereNull('faculty_id')->where('activation', 1)->get();
?>

<!-- Navbar -->
<header>
    <nav class="navbar navbar-expand-lg navbar-light w-100">
        <div class="container px-3">
            <a class="navbar-brand d-flex align-items-center" href="<?php echo e(route('home')); ?>">
                <img src="<?php echo e(asset('backend-assets/img/logo/uhst-logo.png')); ?>" width="35" alt="UHST Logo"/>
                <span class="fw-bold ms-2">UHST</span>
            </a>
            <button class="navbar-toggler offcanvas-nav-btn" type="button">
                <i class="bi bi-list"></i>
            </button>
            <div class="offcanvas offcanvas-start offcanvas-nav" style="width: 20rem">
                <div class="offcanvas-header">
                    <a href="<?php echo e(route('home')); ?>" class="d-flex align-items-center">
                        <img src="<?php echo e(asset('backend-assets/img/logo/uhst-logo.png')); ?>" width="35" alt="UHST Logo"/>
                        <span class="fw-bold ms-2">UHST</span>
                    </a>
                    <button type="button" class="btn-close" data-bs-dismiss="offcanvas" aria-label="Close"></button>
                </div>
                <div class="offcanvas-body pt-0 align-items-center">
                    <ul class="navbar-nav ms-auto align-items-lg-center">
                        <!-- Home -->
                        <li class="nav-item">
                            <a class="nav-link" href="<?php echo e(route('home')); ?>">Home</a>
                        </li>
                        <!-- About Us -->
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">About Us</a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="<?php echo e(route('history')); ?>" class="dropdown-item">History</a>
                                </li>
                                <li>
                                    <a href="<?php echo e(route('mission-vision')); ?>" class="dropdown-item">Mission & Vision</a>
                                </li>
                                <li>
                                    <a href="<?php echo e(route('president-message')); ?>" class="dropdown-item">President Message</a>
                                </li>
                                <li>
                                    <a href="<?php echo e(route('partner')); ?>" class="dropdown-item">Partner</a>
                                </li>
                            </ul>
                        </li>
                        <!-- Faculty -->
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">Faculty</a>
                            <ul class="dropdown-menu">
                                
                                <?php $__currentLoopData = $faculties; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $faculty): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                        // Fetch institutes with faculties
                                        $institutesWithFaculty = \App\Models\Institute::where('faculty_id', $faculty->id)->where('activation', 1)->get();
                                    ?>

                                    <?php if($institutesWithFaculty->count() > 0): ?>
                                        <li class="dropdown-submenu dropend">
                                            
                                            <a class="dropdown-item dropdown-toggle" href="<?php echo e($faculty->id); ?>"><?php echo e($faculty->title_en); ?></a>

                                            
                                            <ul class="dropdown-menu">
                                                <?php $__currentLoopData = $institutesWithFaculty; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $institute): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    
                                                    <li>
                                                        <a class="dropdown-item" href="<?php echo e(route('institute', $institute->id)); ?>"><?php echo e($institute->title_en); ?></a>
                                                    </li>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </ul>
                                        </li>
                                    <?php else: ?>
                                        
                                        <li>
                                            <a class="dropdown-item" href="<?php echo e(route('faculty', $faculty->id)); ?>"><?php echo e($faculty->title_en); ?></a>
                                        </li>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                
                                <?php $__currentLoopData = $institutesWithoutFaculty; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $institute): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li>
                                        <a class="dropdown-item" href="<?php echo e(route('institute', $institute->id)); ?>"><?php echo e($institute->title_en); ?></a>
                                    </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </li>
                        <!-- Study -->
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">Study</a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="<?php echo e(route('admission')); ?>" class="dropdown-item">Admission</a>
                                </li>
                                <li>
                                    <a href="#" class="dropdown-item">Scholarship(Soon)</a>
                                </li>
                                <li>
                                    <a href="#" class="dropdown-item">Short Courses(Soon)</a>
                                </li>
                            </ul>
                        </li>
                        <!-- Research & Innovation -->
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">Research & Innovation</a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="<?php echo e(route('project')); ?>" class="dropdown-item">Project</a>
                                </li>
                                <li>
                                    <a href="<?php echo e(route('publication-book')); ?>" class="dropdown-item">Publication Book</a>
                                </li>
                                <li>
                                    <a href="<?php echo e(route('training-workshop')); ?>" class="dropdown-item">Training & Workshop</a>
                                </li>
                                <li>
                                    <a href="<?php echo e(route('conference')); ?>" class="dropdown-item">Conference</a>
                                </li>
                            </ul>
                        </li>
                        <!-- Contact -->
                        <li class="nav-item">
                            <a class="nav-link" href="<?php echo e(route('contact')); ?>">Contact</a>
                        </li>
                        <!-- News -->
                        <li class="nav-item">
                            <a class="nav-link" href="<?php echo e(route('news')); ?>">News</a>
                        </li>
                        <!-- Career -->
                        <li class="nav-item">
                            <a class="nav-link" href="<?php echo e(route('career')); ?>">Career</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </nav>
</header>
<?php /**PATH E:\Web Development\Laravel\uhst-website\resources\views/layouts/sections/navbar/navbarFrontend.blade.php ENDPATH**/ ?>